## Name

gftest — check entry type

## Synopsis

`gftest` `options` `path`

## DESCRIPTION

Check file or directory information.

## OPTIONS

`-d`

  returns 0 if an entry specified by `path` is a directory.

`-e`

  returns 0 if an entry specified by `path` exists.

`-f`

  returns 0 if an entry specified by `path` is a regular file.

`-h`

  returns 0 if an entry specified by `path` is a symbolic link.

`-s`

  returns 0 if an entry specified by `path` is a regular file whose size is greater than 0.

`-L`

  returns 0 if an entry specified by `path` is a regular file and stored in the same host.

`-R`

  returns 0 if an entry specified by `path` is a regular file and stored in a remote host.

`-?`

  displays a list of command options.